- 2020-07-29
  - Received request to release core#235.
  - Received request to release webext#234.
- 2020-08-04
  - Received request to include ui%Release 2019-3.2.
- 2020-08-05
  - Received notification that all extension changes are ready.
  - Published internal release announcement.
  - Created release notes draft.
- 2020-08-06
  - Received QA LGTM.
- 2020-08-07
  - Received builds.
  - Published to CWS.
  - Published to AMO.
  - Noticed that release is live on AMO.
  - Published to Microsoft store.
  - Published to Opera store.
  - Published release notes.
- 2020-08-10
  - Noticed that release is live on all stores.
